#!/usr/bin/env fish

echo "
set datafile separator \",\"
set xlabel '$argv[1]'
set ylabel '$argv[3]'
set term png
set output '$argv[5]'
set title '$argv[6]'
set key outside right

plot \
'0.1.avg' using $argv[2]:$argv[4] title '0.1' pt 5,\
'0.2.avg' using $argv[2]:$argv[4] title '0.2' pt 5,\
'0.3.avg' using $argv[2]:$argv[4] title '0.3' pt 5,\
'0.4.avg' using $argv[2]:$argv[4] title '0.4' pt 5,\
'0.5.avg' using $argv[2]:$argv[4] title '0.5' pt 5,\
'0.6.avg' using $argv[2]:$argv[4] title '0.6' pt 5,\
'0.7.avg' using $argv[2]:$argv[4] title '0.7' pt 5,\
'0.8.avg' using $argv[2]:$argv[4] title '0.8' pt 5,\
'0.9.avg' using $argv[2]:$argv[4] title '0.9' pt 5,\
'1.0.avg' using $argv[2]:$argv[4] title '1.0' pt 5
" | gnuplot













